## com.sun.jersey.core.util
Class StringKeyIgnoreCaseMultivaluedMap<V>

    java.lang.Object
      java.util.AbstractMap<K,V>
          com.sun.jersey.core.util.KeyComparatorHashMap<K,V>
              com.sun.jersey.core.util.KeyComparatorLinkedHashMap<java.lang.String,java.util.List<V>>
                  com.sun.jersey.core.util.StringKeyIgnoreCaseMultivaluedMap<V>

Type Parameters:
  `V` - the type of values.

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.String,java.util.List<V>>, MultivaluedMap<java.lang.String,V>

Direct Known Subclasses:
  StringKeyObjectValueIgnoreCaseMultivaluedMap, StringKeyStringValueIgnoreCaseMultivaluedMap

    public class StringKeyIgnoreCaseMultivaluedMap<V>

extends KeyComparatorLinkedHashMap<java.lang.String,java.util.List<V>>
implements MultivaluedMap<java.lang.String,V>

An implementation of `MultivaluedMap` where keys are instances of String and are compared ignoring case.

Author:
  Paul.Sandoz@Sun.Com
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.util.AbstractMap
`java.util.AbstractMap.SimpleEntry<K,V>, java.util.AbstractMap.SimpleImmutableEntry<K,V>`

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Constructor Summary
`StringKeyIgnoreCaseMultivaluedMap()`
`StringKeyIgnoreCaseMultivaluedMap(StringKeyIgnoreCaseMultivaluedMap<V> that)`

Method Summary
`void` | `add(java.lang.String key, V value)` Add a value to the current list of values for the supplied key.
`V` | `getFirst(java.lang.String key)` A shortcut to get the first value of the supplied key.
`protected java.util.List<V>` | `getList(java.lang.String key)`
`void` | `putSingle(java.lang.String key, V value)` Set the key's value to be a one item list consisting of the supplied value.

Methods inherited from class com.sun.jersey.core.util.KeyComparatorLinkedHashMap
`clear, containsValue, get, removeEldestEntry`

Methods inherited from class com.sun.jersey.core.util.KeyComparatorHashMap
`clone, containsKey, entrySet, getDEFAULT_INITIAL_CAPACITY, getModCount, isEmpty, put, putAll, remove, size`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, keySet, toString, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`clear, containsKey, containsValue, entrySet, equals, get, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Constructor Detail

### StringKeyIgnoreCaseMultivaluedMap

    public StringKeyIgnoreCaseMultivaluedMap()

### StringKeyIgnoreCaseMultivaluedMap

    public StringKeyIgnoreCaseMultivaluedMap(StringKeyIgnoreCaseMultivaluedMap<V> that)

Method Detail

### putSingle

    public void putSingle(java.lang.String key,
                          V value)

  Description copied from interface: `MultivaluedMap`
  Set the key's value to be a one item list consisting of the supplied value. Any existing values will be replaced.

  Specified by:
    `putSingle` in interface `MultivaluedMap<java.lang.String,V>`
  Parameters:
    `key` - the key
    `value` - the single value of the key

### add

    public void add(java.lang.String key,
                    V value)

  Description copied from interface: `MultivaluedMap`
  Add a value to the current list of values for the supplied key.

  Specified by:
    `add` in interface `MultivaluedMap<java.lang.String,V>`
  Parameters:
    `key` - the key
    `value` - the value to be added.

### getFirst

    public V getFirst(java.lang.String key)

  Description copied from interface: `MultivaluedMap`
  A shortcut to get the first value of the supplied key.

  Specified by:
    `getFirst` in interface `MultivaluedMap<java.lang.String,V>`
  Parameters:
    `key` - the key
  Returns:
    the first value for the specified key or null if the key is not in the map.

### getList

    protected java.util.List<V> getList(java.lang.String key)

Copyright © 2017 Oracle Corporation. All Rights Reserved.